--create extension if not exists "uuid-ossp";
create or replace function uuid_generate_v1()
	returns uuid as '$libdir/uuid-ossp', 'uuid_generate_v1'
	language c volatile strict cost 1;

create table t1 (
	id uuid not null default uuid_generate_v1() primary key,
	fieldname varchar(10)
);

insert into t1 (id, fieldname) values ('71d6776e-1564-11e3-ad65-5349928f15b0', 'ABC');

create table t2 (
	id uuid not null default uuid_generate_v1() primary key,
	t1id uuid not null references t1(id) on update cascade on delete cascade,
	fieldname varchar(10)
);

insert into t2 (t1id, fieldname) values ('71d6776e-1564-11e3-ad65-5349928f15b0', 'DEF');