program project1;

{$mode objfpc}{$H+}

uses
  pqconnection, sqldb;

var
  db: TPQConnection;
  t: TSQLTransaction;
  q: TSQLQuery;
begin
  db := TPQConnection.Create(nil);
  t :=  TSQLTransaction.Create(db);
  q := TSQLQuery.Create(db);
  try
    t.DataBase := db;
    q.DataBase := db;
    q.Transaction := t;
    db.HostName := '127.0.0.1';
    db.DatabaseName := 'postgres';
    db.UserName := 'postgres';
    db.Password := 'postgres';

    // It works fine
    q.SQL.Add('select t1.id, t1.fieldname from t1');
    q.SQL.Add('left join t2 on t2.t1id = t1.id');
    q.SQL.Add('where t1.id = ''71d6776e-1564-11e3-ad65-5349928f15b0''');
    q.Open;
    q.First;
    WriteLn(q.Fields.FieldByName('fieldname').AsString);

    // It doesn't works
    q.Close;
    q.SQL.Clear;
    q.SQL.Add('select t1.id, t1.fieldname from t1');
    q.SQL.Add('left join t2 on t2.t1id = t1.id');
    q.SQL.Add('where t1.id = :id');
    q.Params.ParamByName('id').AsString := '71d6776e-1564-11e3-ad65-5349928f15b0';
    q.Open;
    q.First;
    WriteLn(q.Fields.FieldByName('fieldname').AsString);
  finally
    db.Free;
  end;
end.

